using Consulenza.ReportWriter.Business;
using Consulenza.ReportWriter.Business.OBJ_PDF;
using Consulenza.ReportWriter.Business.CUSTOM_PDF.ConsulenzaUnica;
using Consulenza.ReportCommon;

namespace Consulenza.ReportWriter.Manager.Chapter.Unica
{
    /// <summary>
    /// Scheda 8. Patrimonio finanziario: categorie di prodotto. IdCapitolo 26
    /// </summary>
    public class S8 : Entity.Chapter
    {
        public S8(EnvironmentFacade environmentFacade, int idChapter)
            : base(environmentFacade, idChapter)
        {
            Draw();
        }

        public S8(EnvironmentFacade environmentFacade, int idChapter, bool repeatoneachpage)
            : this(environmentFacade, idChapter)
        {
            RepeatOnEachPage = repeatoneachpage;
        }

        protected override sealed void Draw()
        {
            AddElement(new PagePDF(PagePDF.PagePDFType.Generic));

            var testi = GetText();
            var intestazione = new ChapterHeadingPDF(
                testi.Rows[0]["testo1"].ToString(),               
                EnvironmentFacade.RendererFacade.XLeftLimit,
                EnvironmentFacade.RendererFacade.YUpperLimit,
                EnvironmentFacade.ReportEnvironment.FontFamily
                );

            // Aggiungo gli elementi
            AddElement(intestazione.ToElement());        
        }
    }
}
